FENCE_AGENT(8)

NAME
fence_kdump - fencing agent for use with kdump crash recovery service

DESCRIPTION

fence_kdump is an I/O fencing agent to be used with the kdump crash recovery service. When the fence_kdump agent is invoked, it will listen for a message from the failed node that acknowledges that the failed node is executing the kdump crash kernel. Note that fence_kdump is not a replacement for traditional fencing methods. The fence_kdump agent can only detect that a node has entered the kdump crash recovery service. This allows the kdump crash recovery service complete without being preempted by traditional power fencing methods.

Note: the "off" action listen for message from failed node that acknowledges node has entered kdump crash recovery service. If a valid message is received from the failed node, the node is considered to be fenced and the agent returns success. Failure to receive a valid message from the failed node in the given timeout period results in fencing failure. When multiple node names/IP addresses are specified a single valid message is sufficient for success. This is useful when single node can send message via several different IP addresses.

The fence agent accepts options on the command line as well as from stdin. Fenced sends parameters through stdin when it execs the agent. The agent can be run by itself with command line options. This is useful for testing and for turning outlets on or off from scripts.

Vendor URL: http://www.kernel.org/pub/linux/utils/kernel/kexec/

PARAMETERS

-n, --nodename=NODE[,NODE...]
    List of names or IP addresses of node to be fenced. This option is required for the "off" action. Multiple values separated by commas can be specified. All values must be of same IP network family.

-p, --ipport=PORT
    IP port number that the fence_kdump agent will use to listen for messages. (Default Value: 7410)

-f, --family=FAMILY
    IP network family. Force the fence_kdump agent to use a specific family. The value for FAMILY can be "auto", "ipv4", or "ipv6". (Default Value: auto)

-o, --action=ACTION
    Fencing action to perform. The value for ACTION can be either "off" or "metadata". (Default Value: off)

-t, --timeout=TIMEOUT
    Number of seconds to wait for message from failed node. If no message is received within TIMEOUT seconds, the fence_kdump agent returns failure. (Default Value: 60)

-v, --verbose
    Print verbose output

-V, --version
    Print version

-h, --help
    Print usage

ACTIONS

off Power off machine.

monitor
    Check the health of fence device

metadata
    Display the XML metadata describing this resource.

validate-all
    Validate if all required parameters are entered.

STDIN PARAMETERS

nodename
    List of names or IP addresses of node to be fenced. This option is required for the "off" action. Multiple values separated by commas can be specified. All values must be of same IP network family.

ipport
    IP port number that the fence_kdump agent will use to listen for messages. (Default Value: 7410)

family
    IP network family. Force the fence_kdump agent to use a specific family. The value for FAMILY can be "auto", "ipv4", or "ipv6". (Default Value: auto)

action
    Fencing action to perform. The value for ACTION can be either "off" or "metadata". (Default Value: off)

timeout
    Number of seconds to wait for message from failed node. If no message is received within TIMEOUT seconds, the fence_kdump agent returns failure. (Default Value: 60)

verbose
    Print verbose output

version
    Print version

usage
    Print usage